
function mudfish_adclean_7e51ec51390efb606eb59a5a80a097c4() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`dl.container ul.rcp_m_list2 > ul > div:not(li.common_sp_list_li)`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_7e51ec51390efb606eb59a5a80a097c4();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_7e51ec51390efb606eb59a5a80a097c4();
  });
}
